﻿@model List<PurchaseOrderView>

@{
    bool _Update = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Add = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Delete = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.Delete.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _View = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <i class="icon-calendar"></i>
        <h3 class="panel-title">@PurchaseOrders.POL</h3>
    </div>
    
    <div class="panel-body">

        <div class="table-responsive">
            <table class="table table-striped">
                @if (Model.Count > 0)
                {
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>@PurchaseOrders.Date</th>
                            <th>@PurchaseOrders.VC</th>
                            <th>@PurchaseOrders.VN</th>
                            <th>@PurchaseOrders.Remarks</th>
                            <th>@PurchaseOrders.DD</th>
                            <th>@PurchaseOrders.Status</th>
                            <th>&nbsp;</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach (PurchaseOrderView item in Model)
                        {
                            <tr>
                                <td>@item.DocEntry</td>
                                <td>@item.DocDate.ToShortDateString()</td>
                                <td>@item.CardCode</td>
                                <td>@item.CardName</td>
                                <td>@item.Comments</td>
                                <td>@item.DocDueDate.ToShortDateString()</td>
                                <td>
                                    @switch (item.DocStatus)
                                    {
                                        case "C":
                                            @PurchaseOrders.Closed;
                                            break;
                                        case "O":
                                            @PurchaseOrders.Open;
                                            break;
                                    }
                                </td>
                                <td>
                                    @if (_View)
                                    {
                                        <a href='@Url.Action("ActionPurchaseOrder", "PurchaseOrder", new { @ActionPurchaseOrder = "View", @IdPO = item.DocEntry,@fromController = "PurchaseOrder" })' class="btn btn-primary btn-xs">
                                            <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.View
                                        </a>
                                    }
                                    @if (_Update)
                                    {
                                        if (item.DocStatus != "C")
                                        {
                                            <a href='@Url.Action("ActionPurchaseOrder", "PurchaseOrder", new { @ActionPurchaseOrder = "Update", @IdPO = item.DocEntry, @fromController = "PurchaseOrder" })' class="btn btn-primary btn-xs">
                                                <span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;@PurchaseOrders.Edit
                                            </a>
                                        }
                                    }
                                </td>
                            </tr>
                        }

                    </tbody>
                }
                else
                {
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>@PurchaseOrders.Date</th>
                            <th>@PurchaseOrders.VC</th>
                            <th>@PurchaseOrders.VN</th>
                            <th>@PurchaseOrders.Remarks</th>
                            <th>@PurchaseOrders.DD</th>
                            <th>@PurchaseOrders.Status</th>
                            <th>&nbsp;</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td colspan="8">@PurchaseOrders.NDTD</td>
                        </tr>
                    </tbody>
                }
            </table>
        </div>

    </div>

</div>
@if (_Add)
{
    <div class="col-md-2 pull-right">
        <a href='@Url.Action("ActionPurchaseOrder", "PurchaseOrder", new { @ActionPurchaseOrder = "Add", @IdPO = 0, @fromController = "PurchaseOrder" })' class="btn btn-success btn-ls pull-right ">
            <span class="glyphicon glyphicon-file"></span>&nbsp;@PurchaseOrders.NPO
        </a>
    </div>
}
